package org.jeecg.modules.fbsMomOrder.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 生产订单子表
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */
public interface FbsMomOrderdetailMapper extends BaseMapper<FbsMomOrderdetail> {
    /**
    * @Author chenchuang
    * @Description //TODO 查询生产订单总数，入库总数
    * @Date 2020/10/21 12:00
    * @Param []
    * @return org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail
    */
    Map<String,Object> getFbsMomOrderdetailSum();


    /**
    * @Author chenchuang
    * @Description //TODO 查询U8物料中的完工数量
    * @Date 2020/10/21 17:40
    * @Param [cInvName]
    * @return java.util.List<org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail>
    */
    List<FbsMomOrderdetail> getQualifiedInQty();

    /**
    * @Author chenchuang
    * @Description //TODO 制造看板：周成品入库数量
    * @Date 2020/10/21 21:42
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail>
    */
    List<FbsMomOrderdetail> getQualifiedInQtyWeek();

    /**
    * @Author chenchuang
    * @Description //TODO 制造看板：月生产计划
    * @Date 2020/10/28 17:04
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail>
    */
    List<FbsMomOrderdetail> getMonthList();

    /**
    * @Author chenchuang
    * @Description //TODO 产线看板：日生产计划
    * @Date 2020/10/28 17:19
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail>
    */
    List<FbsMomOrderdetail> getDayList();

    /**
    * @Author chenchuang
    * @Description //TODO 查询库存数量
    * @Date 2020/10/28 21:16
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail>
    */
    List<FbsMomOrderdetail> getListByOrderSheetCurrentStock();

    /**
    * @Author chenchuang
    * @Description //TODO 查询订单子件数量
    * @Date 2020/10/28 21:17
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail>
    */
    List<FbsMomOrderdetail> getListByOrderSheetMomMoallocate();

    /**
    * @Author chenchuang
    * @Description //TODO  仓库看板：领料申请通知
    * @Date 2020/10/28 22:14
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsMomOrder.entity.FbsMomOrderdetail>
    */
    List<FbsMomOrderdetail> getApplyList();
}
