package org.jeecg.modules.fbsMomOrder.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.jeecg.modules.fbsMomOrder.entity.FbsMomOrder;
import org.jeecg.modules.fbsMomOrder.mapper.FbsMomOrderMapper;
import org.jeecg.modules.fbsMomOrder.service.IFbsMomOrderService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description: 生产订单
 * @author： jeecg-boot
 * @date：   2020-10-16
 * @version： V1.0
 */
@Service
@DS("multi-datasource1")
public class FbsMomOrderServiceImpl extends ServiceImpl<FbsMomOrderMapper, FbsMomOrder> implements IFbsMomOrderService {
    @Resource
    private FbsMomOrderMapper fbsMomOrderMapper;

    @Override
    public List<Map<String,Object>> getEsopTaskList(){
        return fbsMomOrderMapper.getEsopTaskList();
    }

}
