package org.jeecg.modules.fbsQualityQualificationRate.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 品质看板合格率统计表格数据
 * @author： jeecg-boot
 * @date：   2020-11-03
 * @version： V1.0
 */
@Data
@TableName("fbs_quality_qualification_rate")
public class FbsQualityQualificationRate implements Serializable {
    private static final long serialVersionUID = 1L;
    
	/**品质合格率主键*/
	@TableId(type = IdType.UUID)
	private String id;
	/**刻度线*/
	@Excel(name = "刻度线", width = 15)
	private Double scaleMark;
	/**第一个月*/
	@Excel(name = "第一个月", width = 15)
	private Double oneMonth;
	/**第二个月*/
	@Excel(name = "第二个月", width = 15)
	private Double twoMonth;
	/**第三个月*/
	@Excel(name = "第三个月", width = 15)
	private Double threeMonth;
	/**第四个月*/
	@Excel(name = "第四个月", width = 15)
	private Double fourMonth;
	/**第五个月*/
	@Excel(name = "第五个月", width = 15)
	private Double fiveMonth;
	/**第六个月*/
	@Excel(name = "第六个月", width = 15)
	private Double sixMonth;
	/**备注*/
	@Excel(name = "备注", width = 15)
	private String memo;
	/**删除标记0正常1删除*/
	@Excel(name = "删除标记0正常1删除", width = 15)
	private String delFlag;
	/**创建人*/
	@Excel(name = "创建人", width = 15)
	private String createBy;
	/**创建时间*/
	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/**最后修改人*/
	@Excel(name = "最后修改人", width = 15)
	private String updateBy;
	/**最后修改时间*/
	@Excel(name = "最后修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	/**自定义字段1*/
	@Excel(name = "自定义字段1", width = 15)
	private String def1;
	/**自定义字段2*/
	@Excel(name = "自定义字段2", width = 15)
	private String def2;
	/**自定义字段3*/
	@Excel(name = "自定义字段3", width = 15)
	private String def3;
	/**自定义字段4*/
	@Excel(name = "自定义字段4", width = 15)
	private String def4;
	/**自定义字段5*/
	@Excel(name = "自定义字段5", width = 15)
	private String def5;
}
